function love.load()
	r, g, b = 192,64,128
	-- r, g, b = 0,128,255

	x = 400
	y = 250

	square = love.graphics.newImage('square.png')

	p1 = love.graphics.newParticleSystem(square, 200)
	p1:setEmissionRate(100)
	p1:setSpeed(0, 400)
	p1:setSizes(1, 0)
	p1:setColors(r,g,b,128, r/2,g/2,b/2,0)
	p1:setParticleLife(0.6)
	p1:setSpread(math.pi/16)
	p1:setDirection(math.pi/2)

	p2 = love.graphics.newParticleSystem(square, 200)
	p2:setEmissionRate(100)
	p2:setSpeed(0, 400)
	p2:setSizes(1, 0)
	p2:setColors(r,g,b,128, r/2,g/2,b/2,0)
	p2:setParticleLife(0.6)
	p2:setSpread(math.pi/16)
	p2:setDirection(-math.pi/2)


	love.graphics.setBackgroundColor(30, 30, 30)
	love.graphics.setBlendMode('additive')
end

function love.update(dt)
	p1:update(dt)
	p2:update(dt)

	if love.keyboard.isDown('up') then
		y = y - 200 * dt
	elseif love.keyboard.isDown('down') then
		y = y + 200 * dt
	end

	p1:setPosition(x, y)
	p2:setPosition(x, y + 80)
end

function love.draw()
	love.graphics.draw(p1, 0, 0)
	love.graphics.draw(p2, 0, 0)
end




