function love.load()
	ball = love.graphics.newImage("ball.png")

	p1 = love.graphics.newParticleSystem(ball, 200)

	p1:setSpread(2*math.pi)
	p1:setParticleLife(5)
	p1:setSpeed(0, 200)
	p1:setColors(0,0,0,128, 50,50,50,0)

	p1:setEmissionRate(20)
	p1:setSizes(1, 4)
	p1:setTangentialAcceleration(200)


	p2 = love.graphics.newParticleSystem(ball, 200)

	p2:setSpread(2*math.pi)
	p2:setParticleLife(5)
	p2:setSpeed(0, 200)
	p2:setColors(0, 0, 0, 128, 50, 50, 50, 0)

	p2:setEmissionRate(10)
	p2:setSizes(0, 1)
	p2:setRadialAcceleration(-10)

	love.graphics.setBackgroundColor(30, 30, 30)
	love.graphics.setBlendMode('additive')
end

function love.update(dt)
	p1:update(dt)
	p2:update(dt)
end

function love.draw()
	love.graphics.draw(p1, love.graphics.getWidth()/2, love.graphics.getHeight()/2)
	love.graphics.draw(p2, love.graphics.getWidth()/2, love.graphics.getHeight()/2)
end

