function love.load()
	r2, g2, b2 = 255, 0, 0
	r1, g1, b1 = 0, 255, 0

	x = 400
	y = 300

	ball = love.graphics.newImage('ball.png')

	p1 = love.graphics.newParticleSystem(ball, 200)

	p1:setEmissionRate(100)
	p1:setSpeed(200)
	p1:setSizes(1, 0.5)
	p1:setColors(r1,g1,b1,255, 64,64,128,128)
	p1:setPosition(x+20, y+20)
	p1:setParticleLife(0.5)
	p1:setSpread(2)
	p1:setTangentialAcceleration(500)
	p1:setRadialAcceleration(-1200)

	p2 = love.graphics.newParticleSystem(ball, 200)

	p2:setEmissionRate(100)
	p2:setSpeed(200)
	p2:setSizes(1, 0.5)
	p2:setColors(r2,g2,b2,255, 64,64,128,128)
	p2:setPosition(x, y)
	p2:setParticleLife(0.5)
	p2:setSpread(2)
	p2:setTangentialAcceleration(500)
	p2:setRadialAcceleration(-1200)

	love.graphics.setBackgroundColor(30, 30, 30)
	love.graphics.setBlendMode('additive')

	d = 0
end

function love.update(dt)
	d = d - (30*dt)
	if d < 0 then
		d = d + 2*math.pi
	end

	p1:setDirection(d + 1)
	p1:update(dt)

	p2:setDirection(d)
	p2:update(dt)

end

function love.draw()
	love.graphics.draw(p1, 0, 0)
	love.graphics.draw(p2, 0, 0)
end
